Package org.apache.sysds.hops.fedplanner

## Enum FTypes.FederatedPlanner

- java.lang.Object
- - java.lang.Enum<FTypes.FederatedPlanner>
  - - org.apache.sysds.hops.fedplanner.FTypes.FederatedPlanner

All Implemented Interfaces:
  `Serializable`, `Comparable<FTypes.FederatedPlanner>`

Enclosing class:
  FTypes

    public static enum FTypes.FederatedPlanner
    extends Enum<FTypes.FederatedPlanner>

### Enum Constant Summary

Enum Constants
`COMPILE_COST_BASED`
`COMPILE_FED_ALL`
`COMPILE_FED_HEURISTIC`
`NONE`
`RUNTIME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AFederatedPlanner` `getPlanner()`
`boolean` `isCompiled()`
`static boolean` `isCompiled​(String planner)`
`static FTypes.FederatedPlanner` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static FTypes.FederatedPlanner[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final FTypes.FederatedPlanner NONE

#### RUNTIME

    public static final FTypes.FederatedPlanner RUNTIME

#### COMPILE_FED_ALL

    public static final FTypes.FederatedPlanner COMPILE_FED_ALL

#### COMPILE_FED_HEURISTIC

    public static final FTypes.FederatedPlanner COMPILE_FED_HEURISTIC

#### COMPILE_COST_BASED

    public static final FTypes.FederatedPlanner COMPILE_COST_BASED

### Method Detail

#### values

    public static FTypes.FederatedPlanner[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FTypes.FederatedPlanner c : FTypes.FederatedPlanner.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FTypes.FederatedPlanner valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getPlanner

    public AFederatedPlanner getPlanner()

#### isCompiled

    public boolean isCompiled()

#### isCompiled

    public static boolean isCompiled​(String planner)